%bcond_without check

%global goipath         github.com/mdlayher/ethernet
%global commit          0394541c37b7f86a10e0b49492f6d4f605c34163

%gometa

%global common_description %{expand:
The Golang package ethernet implements marshaling and unmarshaling of IEEE
802.3 Ethernet II frames and IEEE 802.1Q VLAN tags.}

%global golicenses      LICENSE.md
%global godocs          README.md

Name:           %{goname}
Version:        0
Release:    1%{?dist}
Summary:        Implements marshaling and unmarshaling of IEEE 802.3 Ethernet II frames and IEEE 802.1Q VLAN tags

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/mdlayher/raw)

%description
%{common_description}

%package -n etherecho
Summary:        Broadcast a message to all machines in the same network segment
%description -n etherecho
etherecho broadcasts a message to all machines in the same network segment, and
listens for other messages from other etherecho servers.

%gopkg

%prep
%goprep

%build
%gobuild -o %{gobuilddir}/bin/etherecho %{goipath}/cmd/etherecho

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files -n etherecho
%license LICENSE.md
%doc cmd/etherecho/README.md
%{_bindir}/etherecho

%gopkgfiles

%changelog
* Fri Sep 06 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0-1
- initial build
